import { ExtensionService } from "../extensions";
import { LibraryScannerService } from "../libraryScanner/LibraryScanner";
import { MetadataService } from "../metadata";
import { OnboardService } from "../onboard";
import { PlaybackService } from "../playback";
import { Service } from "../service";

export function createServiceContainer(): Service {
	const container = new Service();
	container.registerService(
		new OnboardService(),
		new ExtensionService(),
		new MetadataService(),
		new LibraryScannerService(),
		new PlaybackService(),
	);
	return container;
}
